Subject: Re: Problems with an NT Installation
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Mon, 5 Mar 2001 15:29:18 -0800

Hi folks,

On 5 Mar 2001, at 10:15, the Illustrious Harry Erwin wrote:

> On Mon, 26 Feb 2001 12:14:17 -0500, Christopher Faylor <[email-masked]>
> wrote: > >  On Mon, Feb 26, 2001 at 09:47:09AM +0000, Harry Erwin wrote:
> >  >We're trying to install cygwin on an NT-based network. The > 
> >installation is to the C: drive, while the students have write-access >
>  >only to the H: drive, which contains their home directories. When we
>     ++++++++++++++++++++
> >  >kick off bash and cd to H:/, we get an indication that we're in
> >  >/cygdrive/h/, but when we try a dir or ls on that, we crash hard.
> 
> I guess that they try to access /tmp which is on C: drive (check
> your mount table). /tmp must be writable for many programs.

	It should also be readable...as I recall, (and I am open to 
corrections on this); cygwin uses the /tmp drive (wherever it is 
defined or mounted as) for certain core cygwin processes (I am not 
familiar enough with the API to comment on which ones).

	Again, I could be mistaken, even so, it appears that you _must_ enable 
r/w/e/d on your /tmp drive.

	Here are some things that might be of assistance.  (As a famous
	fictional sleuth once said, and I paraphrase, "When all of that
	which is possible has been exhausted, you must consider the
	"impossible".)

	First thing that comes to mind, be sure that your Posix Subsystem is 
enabled for all of the NT4 platforms.

> 
> Ehud.
> 
> Apparently not the problem. It has to do with the networked drive, H:.
> Anyone know of issues involving networked drives? C: is read-only for
> the students, but the problem still occurs if it's an administrator
> using cygwin.

> Here's the cygcheck output:
> 
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Mon Mar  5 09:40:06 2001
> 
> WinNT Ver 4.0 build 1381 Service Pack 5
> 
> Path:	/usr/local/bin
>  /usr/bin
>  /bin
>  /cygdrive/c/WINNT/system32
>  /cygdrive/c/WINNT
>  /cygdrive/c/jdk1.2.2/bin
>  /cygdrive/c/BC5/BIN
>  .
> 
> SysDir: C:\WINNT\System32
> WinDir: C:\WINNT

	This all looks fine...does winnt have r/w/e access for each of the
	students?
> 
> Here's some environment variables that may affect cygwin:
> PWD = `/h'
> USER = `cisuser'
> MAKE_MODE = `unix'

	You may want to consider changing this to "win32".  "Make" afaik, 
doesn't care when running under "bash".

	Peace,

		Paul G.

> HOME = `/cygdrive/c/usr/home'

	If these are on different platforms as well, it may cause a problem, 
but I really don't know for certain.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple